ubuntu_22.10 net-snmp 空指针解引用

CVE编号

CVE-2022-24808

利用情况

暂无

补丁情况

N/A

披露时间

2022-07-01
漏洞描述
A flaw was found in net-snmp. A malformed OID in a SET request to NET-SNMP-AGENT-MIB::nsLogTable can cause a NULL pointer dereference issue.
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
参考链接
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
系统 alpine_3.13 net-snmp * Up to
(excluding)
5.9.3-r0
运行在以下环境
系统 alpine_3.14 net-snmp * Up to
(excluding)
5.9.3-r0
运行在以下环境
系统 alpine_3.15 net-snmp * Up to
(excluding)
5.9.3-r0
运行在以下环境
系统 alpine_3.16 net-snmp * Up to
(excluding)
5.9.3-r0
运行在以下环境
系统 alpine_3.17 net-snmp * Up to
(excluding)
5.9.3-r0
运行在以下环境
系统 alpine_edge net-snmp * Up to
(excluding)
5.9.3-r0
运行在以下环境
系统 debian_10 net-snmp * Up to
(excluding)
5.7.3+dfsg-5+deb10u3
运行在以下环境
系统 debian_11 net-snmp * Up to
(excluding)
5.9+dfsg-4+deb11u1
运行在以下环境
系统 debian_12 net-snmp * Up to
(including)
5.9.3+dfsg-1
运行在以下环境
系统 debian_sid net-snmp * Up to
(including)
5.9.3+dfsg-1
运行在以下环境
系统 fedora_36 net-snmp * Up to
(excluding)
5.9.3-1.fc36
运行在以下环境
系统 ubuntu_18.04 net-snmp * Up to
(excluding)
5.7.3+dfsg-1.8ubuntu3.7
运行在以下环境
系统 ubuntu_20.04 net-snmp * Up to
(excluding)
5.8+dfsg-2ubuntu2.4
运行在以下环境
系统 ubuntu_22.04 net-snmp * Up to
(excluding)
5.9.1+dfsg-1ubuntu2.2
运行在以下环境
系统 ubuntu_22.10 net-snmp * Up to
(excluding)
5.9.1+dfsg-4ubuntu2
CVSS3评分
5.9
  • 攻击路径
    网络
  • 攻击复杂度
  • 权限要求
    N/A
  • 影响范围
    未更改
  • 用户交互
  • 可用性
  • 保密性
  • 完整性
CWE-ID 漏洞类型
CWE-476 空指针解引用
阿里云安全产品覆盖情况